[arch-commits] Commit in rockdodger/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Apr 17 18:44:14 EDT 2009


    Date: Friday, April 17, 2009 @ 18:44:14
  Author: eric
Revision: 35869

Fixed svn conflict

Added:
  rockdodger/repos/extra-x86_64/rockdodger.install
    (from rev 35868, rockdodger/trunk/rockdodger.install)
Modified:
  rockdodger/repos/extra-x86_64/	(properties)
  rockdodger/repos/extra-x86_64/PKGBUILD

--------------------+
 PKGBUILD           |   32 ++++++++++++++++++--------------
 rockdodger.install |   15 +++++++++++++++
 2 files changed, 33 insertions(+), 14 deletions(-)


Property changes on: rockdodger/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /rockdodger/trunk:1
   + /rockdodger/trunk:1-35868

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-17 22:40:37 UTC (rev 35868)
+++ extra-x86_64/PKGBUILD	2009-04-17 22:44:14 UTC (rev 35869)
@@ -4,26 +4,30 @@
 
 pkgname=rockdodger
 pkgver=0.6
-pkgrel=1
+pkgrel=2
 pkgdesc="Space Rocks is a game - Dodge the space rocks, use your shields, fire your thrusters, cross your fingers, and kiss your ship goodbye"
 arch=('i686' 'x86_64')
+url="http://spacerocks.sourceforge.net/"
+license=('GPL')
 depends=('sdl' 'sdl_mixer' 'sdl_image')
-source=(http://prdownloads.sourceforge.net/spacerocks/$pkgname-$pkgver.tar.gz 
-	rockdodger-0.6.0a-gcc41.patch)
-url="http://spacerocks.sourceforge.net/"
+install=rockdodger.install
+source=(http://downloads.sourceforge.net/spacerocks/$pkgname-$pkgver.tar.gz rockdodger-0.6.0a-gcc41.patch)
 md5sums=('a82a564a6530e60e7f041f7d95c4cae8' 'c8b17a6ffaa12f1a116170437b4629c0')
 
 build() {
- cd $startdir/src/$pkgname-$pkgver
+ cd $srcdir/$pkgname-$pkgver
  patch -Np0 -i ../rockdodger-0.6.0a-gcc41.patch || return 1
- sed -i -e "s:-g:${CFLAGS}:" Makefile
+ sed -i 's|/usr/share/rockdodger/.highscore|/var/games/rockdodger.highscore|' main.c || return 1
+ sed -i -e "s:-g:${CFLAGS}:" Makefile || return 1
  make || return 1
- mkdir -p $startdir/pkg/usr/bin
- cp rockdodger $startdir/pkg/usr/bin
- mkdir -p $startdir/pkg/usr/share/rockdodger/data
- cp data/*.{bmp,png,wav,mod} $startdir/pkg/usr/share/rockdodger/data
- chmod a+r $startdir/pkg/usr/share/rockdodger/data/*
- chmod a+r $startdir/pkg/usr/share/rockdodger/data
- touch $startdir/pkg/usr/share/rockdodger/.highscore
- chmod a+rw $startdir/pkg/usr/share/rockdodger/.highscore
+
+ install -D -m755 rockdodger $pkgdir/usr/bin/rockdodger
+ install -d $pkgdir/usr/share/rockdodger/data
+ install -m644 data/*.{bmp,png,wav,mod} $pkgdir/usr/share/rockdodger/data
+
+ chown root:games $pkgdir/usr/bin/rockdodger
+ chmod 2755 $pkgdir/usr/bin/rockdodger
+ install -d $pkgdir/var/games
+ chown root:games $pkgdir/var/games
+ chmod 775 $pkgdir/var/games
 }

Copied: rockdodger/repos/extra-x86_64/rockdodger.install (from rev 35868, rockdodger/trunk/rockdodger.install)
===================================================================
--- extra-x86_64/rockdodger.install	                        (rev 0)
+++ extra-x86_64/rockdodger.install	2009-04-17 22:44:14 UTC (rev 35869)
@@ -0,0 +1,15 @@
+post_install() {
+  touch var/games/rockdodger.highscore
+  chown root:games var/games/rockdodger.highscore
+  chmod 664 var/games/rockdodger.highscore
+}
+
+pre_upgrade() {
+  if [ -e usr/share/rockdodger/.highscore ]; then
+    mv usr/share/rockdodger/.highscore var/games/rockdodger.highscore
+  fi
+}
+
+post_upgrade() {
+  post_install
+}



More information about the arch-commits mailing list